gtkmm 2.4: Gtk::PrintContext Class Reference

Main Page Widgets Namespaces Book

# Gtk::PrintContext Class Reference

Inheritance diagram for Gtk::PrintContext:

[legend]
List of all members.

## Public Member Functions
Glib::RefPtr<Pango::Context> | create_context ()
Glib::RefPtr<Pango::Layout> | create_layout ()
Cairo::RefPtr<const Cairo::Context> | get_cairo () const
Cairo::RefPtr<Cairo::Context> | get_cairo ()
double | get_dpi_x () const
double | get_dpi_y () const
Glib::RefPtr<const Pango::FontMap> | get_fontmap () const
Glib::RefPtr<Pango::FontMap> | get_fontmap ()
double | get_height () const
Glib::RefPtr<const PageSetup> | get_page_setup () const
Glib::RefPtr<PageSetup> | get_page_setup ()
double | get_width () const
const GtkPrintContext* | gobj () const
| Provides access to the underlying C GObject.
GtkPrintContext* | gobj ()
| Provides access to the underlying C GObject.
GtkPrintContext* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
virtual | ~PrintContext ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gtk::PrintContext> | wrap (GtkPrintContext* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::PrintContext::~PrintContext | ( |  | ) | `[virtual]`

## Member Function Documentation

Glib::RefPtr<Pango::Context> Gtk::PrintContext::create_context | ( |  | ) |

Glib::RefPtr<Pango::Layout> Gtk::PrintContext::create_layout | ( |  | ) |

Cairo::RefPtr<const Cairo::Context> Gtk::PrintContext::get_cairo | ( |  | ) | const

Cairo::RefPtr<Cairo::Context> Gtk::PrintContext::get_cairo | ( |  | ) |

double Gtk::PrintContext::get_dpi_x | ( |  | ) | const

double Gtk::PrintContext::get_dpi_y | ( |  | ) | const

Glib::RefPtr<const Pango::FontMap> Gtk::PrintContext::get_fontmap | ( |  | ) | const

Glib::RefPtr<Pango::FontMap> Gtk::PrintContext::get_fontmap | ( |  | ) |

double Gtk::PrintContext::get_height | ( |  | ) | const

Glib::RefPtr<const PageSetup> Gtk::PrintContext::get_page_setup | ( |  | ) | const

Glib::RefPtr<PageSetup> Gtk::PrintContext::get_page_setup | ( |  | ) |

double Gtk::PrintContext::get_width | ( |  | ) | const

const GtkPrintContext* Gtk::PrintContext::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkPrintContext* Gtk::PrintContext::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkPrintContext* Gtk::PrintContext::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::PrintContext> wrap | ( | GtkPrintContext* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- printcontext.h